> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 署名を使用して認証トークンをリクエストする

> `{signText}{time}`形式でメッセージに署名します。ここでsignTextは「Sign in to raydium.io: 」でtimeは現在のUnixタイムスタンプ（秒単位）です。ウォレットはこのメッセージに署名し、JWTトークンを受け取るための署名をサブミットする必要があります。



## OpenAPI

````yaml /ja/api-reference/openapi/launch-auth-v1.yaml post /request-token
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    LaunchLabおよびForum
    APIのウォレット認証を管理します。ed25519ウォレット署名を検証した後、JWTトークンを発行します。トークンはForum
    APIにコメントを投稿したりコンテンツを管理したりするために必須です。
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: 認証トークンのリクエストと検証
  - name: Utilities
    description: ヘルスチェックエンドポイント
paths:
  /request-token:
    post:
      tags:
        - Token Management
      summary: 署名を使用して認証トークンをリクエストする
      description: >-
        `{signText}{time}`形式でメッセージに署名します。ここでsignTextは「Sign in to raydium.io:
        」でtimeは現在のUnixタイムスタンプ（秒単位）です。ウォレットはこのメッセージに署名し、JWTトークンを受け取るための署名をサブミットする必要があります。
      operationId: postRequestToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - signature
                - wallet
              properties:
                time:
                  type: integer
                  description: メッセージに署名した時刻のUnixタイムスタンプ（秒単位）
                  example: 1704067200
                signature:
                  type: string
                  description: メッセージのEd25519署名（base58エンコード）
                  example: 3veiKZ6IHo7jrz9XdwLd8KvvP2pinCtjJXWe6MGNDUjT...
                wallet:
                  type: string
                  description: Solanaウォレットの公開鍵
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: トークンが正常に発行されました
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string
        '400':
          description: 無効なリクエストパラメータ
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      msg:
                        type: string
                        example: Invalid signature

````